<?php
  define('_IN_JOHNCMS', 1);
$headmod = 'war worlds';
$textl = 'Магазин';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");

if (!$user_id) {
    header('Location: http://nadmad.ru');
    exit;
}
include_once("tmn.php");
$action=htmlspecialchars(trim($_GET['action']));

switch ($action){

default:
    $brona=mysql_result(mysql_query("SELECT count(*) FROM `brona`"),0);
    $weapon=mysql_result(mysql_query("SELECT count(*) FROM `weapon`"),0);
echo '<div class="phdr">Магазин</div>';
echo '<div class="menu"><a href="?action=weapon">Магазин оружия</a> ['.$weapon.']</div>';
echo '<div class="menu"><a href="?action=brona">Магазин брони</a> ['.$brona.']</div>';
break;

case 'weapon':
$tovar=mysql_result(mysql_query("SELECT count(*) FROM `weapon`"),0);

if($tovar==0){echo 'Оружия нет, пока что...';break;};


$result = mysql_query("SELECT clas FROM uww WHERE uid='$user_id'");

$myrow = mysql_fetch_array($result);

$clas = $myrow['clas'];

$cena=mysql_query("SELECT * FROM `weapon` WHERE `tip` = '$clas' ORDER BY `cena`");
while($row=mysql_fetch_assoc($cena)){
    
echo '<img src="images/'.$row['logo'].'" alt=""/><br/>'; 
echo'&raquo; <a href="?action=okey&amp;id='.$row['id'].'">'.$row['name'].'</a> ('.$row['cena'].')<br/>';
echo'Параметры:<br /> <font color="blue">Макс.Урон '.$row['max_uron'].'<br/>Мин.Урон '.$row['min_uron'].'</font><br/>';
};

break;

case 'okey':

$pr=(int)$_GET['id'];
$plus=mysql_query("SELECT * FROM `weapon` WHERE `id`='$pr'");

if(!mysql_num_rows($plus)){echo 'Такого оружия не существует!';}else{
$rise=mysql_fetch_assoc($plus);

$bablo = mysql_query("SELECT * FROM uww WHERE uid='$user_id'");

$myrow = mysql_fetch_array($bablo);

$user = $myrow['coins'];

if($myrow['clas'] != $rise['tip']){
    
        if($rise['tip'] == 1){
     $class = 'Воина';   
    }
    if($rise['tip'] == 2){
     $class = 'Лучника';   
    }
        if($rise['tip'] == 3){
     $class = 'Мага';   
    }
echo'Вы не можете куплять оружие для '.$class.'<br/>';break;}

if($user<$rise['cena']){
echo'У вас нет столько денег!<br/>';}
else{
mysql_query("UPDATE `uww` SET `coins`=`coins`-'".$rise['cena']."' WHERE `uid`='".$user_id."'");
mysql_query("INSERT INTO `wwinv` (
`uid` ,
`cena` ,
`min_uron` ,
`max_uron` ,
`brona` ,
`logo` ,
`name` ,
`odet`, 
`nad`
)
VALUES (
'$user_id',  '$rise[cena]',  '$rise[min_uron]',  '$rise[max_uron]',  '0',  '$rise[logo]',  '$rise[name]',  '0', '3'
);");

echo 'Выполнено! Вы приобрели '.$rise['name'].' <br/><b>Параметры:</b><br/>Мин.Урон: '.$rise['min_uron'].'<br/>Макс.Урон: '.$rise['max_uron'].'<br/>
Перейти в инвентарь? <a href="inv.php">Да</a> | <a href="index.php">Нет</a>';}}
break;

case 'brona':

$tovar=mysql_result(mysql_query("SELECT count(*) FROM `brona`"),0);

if($tovar==0){echo 'Брони нет, пока что...';break;};

$result = mysql_query("SELECT clas FROM uww WHERE uid='$user_id'");

$myrow = mysql_fetch_array($result);

$clas = $myrow['clas'];

$cena=mysql_query("SELECT * FROM `brona` WHERE `tip` = '$clas' ORDER BY `cena`");
while($row=mysql_fetch_assoc($cena)){
    
echo '<img src="images/'.$row['logo'].'" alt=""/><br/>'; 
echo'&raquo; <a href="?action=ok&amp;id='.$row['id'].'">'.$row['name'].'</a> ('.$row['cena'].')<br/>';
echo'Параметры:<br /> <font color="blue">Защита: '.$row['brona'].'</font><br/>';
};
break;

case 'ok':

$pr=(int)$_GET['id'];
$plus=mysql_query("SELECT * FROM `brona` WHERE `id`='$pr'");

if(!mysql_num_rows($plus)){echo 'Такой брони не существует!';}else{
$rise=mysql_fetch_assoc($plus);

$bablo = mysql_query("SELECT * FROM uww WHERE uid='$user_id'");

$myrow = mysql_fetch_array($bablo);

$user = $myrow['coins'];

if($myrow['clas'] != $rise['tip']){
    
        if($rise['tip'] == 1){
     $class = 'Воина';   
    }
    if($rise['tip'] == 2){
     $class = 'Лучника';   
    }
        if($rise['tip'] == 3){
     $class = 'Мага';   
    }
echo'Вы не можете куплять броню для '.$class.'<br/>';break;}

if($user<$rise['cena']){
echo'У вас нет столько денег!<br/>';}
else{
mysql_query("UPDATE `uww` SET `coins`=`coins`-'".$rise['cena']."' WHERE `uid`='".$user_id."'");
mysql_query("INSERT INTO `wwinv` (
`uid` ,
`cena` ,
`min_uron` ,
`max_uron` ,
`brona` ,
`logo` ,
`name` ,
`odet`, 
`nad`
)
VALUES (
'$user_id', '$rise[cena]', '0', '0', '$rise[brona]', '$rise[logo]', '$rise[name]', '0', '2'
);");

echo 'Выполнено! Вы приобрели '.$rise['name'].' <br/><b>Параметры:</b><br/>Защита: '.$rise['brona'].'<br/>
Перейти в инвентарь? <a href="inv.php">Да</a> | <a href="index.php">Нет</a>';}}
break;






};
include_once("foot.php");
echo '<div class="menu"><a href="index.php">В игру</a></div>';
require_once ("../incfiles/end.php");
?>									